# Session Item

Lua objects that bind a WpSessionItem contain the following methods:

SessionItem.get_associated_proxy(self, type)

  Binds `wp_session_item_get_associated_proxy()`

  Parameters:

    - self – the session item

    - type (string) – the proxy type name

  Returns:

    the proxy object or nil

SessionItem.reset(self)

  Binds `wp_session_item_reset()`

  Parameters:

    self – the session item

SessionItem.configure(self, properties)

  Binds `wp_session_item_configure()`

  Parameters:

    - self – the session item

    - properties (table) – The configuration properties

  Returns:

    true on success, false on failure

  Return type:

    boolean

SessionItem.register(self)

  Binds `wp_session_item_register()`

  Parameters:

    self – the session item

SessionItem.remove(self)

  Binds `wp_session_item_remove()`

  Parameters:

    self – the session item